Package com.avaya.clientservices.call.conference

## Enum CameraControl

- java.lang.Object
- - java.lang.Enum<CameraControl>
  - - com.avaya.clientservices.call.conference.CameraControl

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<CameraControl>`

      public enum CameraControl
      extends java.lang.Enum<CameraControl>

  Enumeration representing remote camera control commands

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `DOWN` | Move camera down.
    `LEFT` | Move camera left.
    `RIGHT` | Move camera right.
    `UP` | Move camera up.
    `ZOOM_IN` | Zoom the camera in.
    `ZOOM_OUT` | Zoom the camera out.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static CameraControl` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static CameraControl[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### UP

          public static final CameraControl UP

      Move camera up.

    - #### DOWN

          public static final CameraControl DOWN

      Move camera down.

    - #### LEFT

          public static final CameraControl LEFT

      Move camera left.

    - #### RIGHT

          public static final CameraControl RIGHT

      Move camera right.

    - #### ZOOM_IN

          public static final CameraControl ZOOM_IN

      Zoom the camera in.

    - #### ZOOM_OUT

          public static final CameraControl ZOOM_OUT

      Zoom the camera out.

  - ### Method Detail

    - #### values

          public static CameraControl[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (CameraControl c : CameraControl.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static CameraControl valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null